Summary: TCL/TK graphical frontend to monitor and manage a PVM cluster
Name: xpvm
Version: 1.2.5
Release: alt1
License: Free
Group: System/Configuration/Other
Packager: Boris Savelev <boris@altlinux.org>

Source: http://www.netlib.org/pvm3/xpvm/XPVM.src.%version.tgz
Patch: %name.patch
Patch1: %name-help-path.patch
Patch2: %name-noenv.patch
Requires: pvm

%define _xpvm_root %_datadir/xpvm
%ifarch %ix86
%define pvm_arch LINUX
%else
%define pvm_arch LINUX64
%endif

# Automatically added by buildreq on Mon Jul 06 2009
BuildRequires: pvm pvm-devel tk-devel

%description
Xpvm is a TCL/TK based tool that allows full manageability of the PVM
cluster as well as the ability to monitor cluster performance.

%prep
%setup -q -n xpvm
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
export XPCFLOPTS="%optflags -DXPVMROOT=\\\"%_xpvm_root\\\""
XPVM_ROOT=`pwd` make CFLOPTS="$XPCFLOPTS"

%install
install -d %buildroot%_xpvm_root %buildroot%_bindir
install -m755 src/%pvm_arch/xpvm %buildroot%_bindir
install *.tcl %buildroot%_xpvm_root
sed -e "s!@XPVMROOT@!%_xpvm_root!" xpvm.tcl >%buildroot%_xpvm_root/xpvm.tcl
cp -rf src/xbm %buildroot%_xpvm_root
cp -rf src/help %buildroot%_xpvm_root

%files
%_bindir/%name
%_xpvm_root

%changelog
* Mon Jul 06 2009 Boris Savelev <boris@altlinux.org> 1.2.5-alt1
- initial build for Sisyphus from PLD

